public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-apps/waybar/
Date: Wed, 26 Jan 2022 01:09:56 +0000 (UTC)	[thread overview]
Message-ID: <1643158658.a2527c38cc49edf1d3846d20ef1ae3ece3b2178d.ionen@gentoo> (raw)

commit:     a2527c38cc49edf1d3846d20ef1ae3ece3b2178d
Author:     Jonas Toth <gentoo <AT> jonas-toth <DOT> eu>
AuthorDate: Sat Jan 15 17:27:18 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Jan 26 00:57:38 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2527c38

gui-apps/waybar: version bump to 0.9.9

Updates `waybar` to version 0.9.9. With it comes a fix for
`dev-libs/fmt` compatibility.

Closes: https://bugs.gentoo.org/830749
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Jonas Toth <gentoo <AT> jonas-toth.eu>
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 gui-apps/waybar/Manifest            |  1 +
 gui-apps/waybar/waybar-0.9.9.ebuild | 71 +++++++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/gui-apps/waybar/Manifest b/gui-apps/waybar/Manifest
index 567c69c8b580..0a7f4edbb69c 100644
--- a/gui-apps/waybar/Manifest
+++ b/gui-apps/waybar/Manifest
@@ -1,3 +1,4 @@
 DIST waybar-0.9.5.tar.gz 146094 BLAKE2B cd46e308d282df5ba6ce34417c0fe5468c188acb3c0f9bf5b2d4dd4c2c80547cab65172b4f4162c2dde0b78f68d15c8b79be74113cacd2610fd2a48299e14013 SHA512 0bbb9e898e205728fc564389927fec661a8dd6a9995a6c5d318f930f4527d6afd0be11a6b71dfa9aafb05c982e0f131e51eb0eec9a3e92c28f5cb04ff780fa8b
 DIST waybar-0.9.7.tar.gz 150768 BLAKE2B 41dbcac30ffc42e04d565a590c1bce086271938936a05599bca6b74bac3fb2a8d1a4a4ddc5bec079dea6963eef8722c2c87a99c066de495caa163b1103a08095 SHA512 731b686235b1f0f94ce263e7ffa854f980fb8fccf30a0bd89e7aa0e1ca2c3fabd6d0df837bace6d6915d7a633500ed1f0497d012e082ca99fb32a78142b99279
 DIST waybar-0.9.8.tar.gz 158869 BLAKE2B d5496986e3985747881cb8693b40d92e5c038a0ee55bf32e156efb67f02c46810cc80767635bd83837609b33855feced4f4f476deecbc47dfd43ef82700a87a2 SHA512 5c65b04cf0ae2e4cdff2b58c6b733a10a8b8d8acbb8f4f4519a0542be759fb6e84e46c323e4b8611ed25bda8bd322ee7a09cb697ed378e120841ce324021b104
+DIST waybar-0.9.9.tar.gz 181603 BLAKE2B ac0430fef2cc3be3a63ae2e27d6982cdea67ee800db8e9acda2bd8025114c8f065a87a164a787d2c82a00b81012fe2fad91e8adb1b51241bc722355b100fed86 SHA512 c219c55014726d9201031ef4448505de516507a74d840a3f733b1719ae0100d1e882580da8b1490158fff2c3003cf915e04bcdf8a55b757bdb845e29bf705ecd

diff --git a/gui-apps/waybar/waybar-0.9.9.ebuild b/gui-apps/waybar/waybar-0.9.9.ebuild
new file mode 100644
index 000000000000..fa2bf998afdc
--- /dev/null
+++ b/gui-apps/waybar/waybar-0.9.9.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Highly customizable Wayland bar for Sway and Wlroots based compositors"
+HOMEPAGE="https://github.com/Alexays/Waybar"
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Alexays/${PN^}.git"
+else
+	SRC_URI="https://github.com/Alexays/${PN^}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+S="${WORKDIR}/${PN^}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="mpd network +popups pulseaudio sndio tray +udev wifi"
+
+BDEPEND="
+	>=app-text/scdoc-1.9.2
+	dev-util/gdbus-codegen
+	virtual/pkgconfig
+"
+DEPEND="
+	dev-cpp/cairomm:0
+	dev-cpp/glibmm:2
+	dev-cpp/gtkmm:3.0
+	dev-libs/glib:2
+	dev-libs/jsoncpp:=
+	dev-libs/libinput:=
+	dev-libs/libsigc++:2
+	>=dev-libs/libfmt-7.0.0:=
+	>=dev-libs/spdlog-1.8.5:=
+	dev-libs/date:=
+	dev-libs/wayland
+	dev-libs/wayland-protocols
+	gui-libs/wlroots:=
+	x11-libs/gtk+:3[wayland]
+	x11-libs/libxkbcommon
+	mpd? ( media-libs/libmpdclient )
+	network? ( dev-libs/libnl:3 )
+	popups? ( gui-libs/gtk-layer-shell )
+	pulseaudio? ( media-sound/pulseaudio )
+	sndio? ( media-sound/sndio:= )
+	tray? (
+		dev-libs/libdbusmenu[gtk3]
+		dev-libs/libappindicator
+	)
+	udev? ( virtual/libudev:= )
+	wifi? ( || ( sys-apps/util-linux net-wireless/rfkill ) )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	local emesonargs=(
+		$(meson_feature mpd)
+		$(meson_feature network libnl)
+		$(meson_feature popups gtk-layer-shell)
+		$(meson_feature pulseaudio)
+		$(meson_feature sndio)
+		$(meson_feature tray dbusmenu-gtk)
+		$(meson_feature udev libudev)
+		$(meson_feature wifi rfkill)
+	)
+	meson_src_configure
+}


             reply	other threads:[~2022-01-26  1:10 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-26  1:09 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-05 17:07 [gentoo-commits] repo/gentoo:master commit in: gui-apps/waybar/ Arthur Zamarin
2024-12-14  7:28 Joonas Niilola
2024-10-29 21:47 James Le Cuirot
2024-10-28  7:25 Viorel Munteanu
2024-10-28  7:25 Viorel Munteanu
2024-10-28  7:25 Viorel Munteanu
2024-10-28  7:25 Viorel Munteanu
2024-10-28  7:25 Viorel Munteanu
2024-10-17 21:37 Sam James
2024-08-16  7:28 Arthur Zamarin
2024-08-16  7:28 Arthur Zamarin
2024-08-12 12:48 Arthur Zamarin
2024-07-03 21:33 Sam James
2024-05-08 16:25 Arthur Zamarin
2024-05-08 15:46 Arthur Zamarin
2024-05-08 15:46 Arthur Zamarin
2024-05-06  7:29 Sam James
2024-03-17  8:26 Joonas Niilola
2024-03-16 20:33 Arthur Zamarin
2024-03-16 20:33 Arthur Zamarin
2024-02-26 13:04 Yixun Lan
2023-12-06  6:56 Yixun Lan
2023-12-06  6:56 Yixun Lan
2023-12-06  6:56 Yixun Lan
2023-10-10  6:14 Joonas Niilola
2023-09-01 17:08 Arthur Zamarin
2023-07-07 21:57 Conrad Kostecki
2023-07-07 21:57 Conrad Kostecki
2023-05-08  9:11 Pacho Ramos
2023-05-08  9:11 Pacho Ramos
2023-04-28  6:31 Sam James
2023-04-28  6:31 Sam James
2023-04-16  0:11 Sam James
2023-04-16  0:11 Sam James
2023-02-04 22:50 Sam James
2023-02-04 22:50 Sam James
2023-02-04 22:50 Sam James
2022-12-05 14:14 Joonas Niilola
2022-07-06 19:33 Sam James
2022-06-18  8:47 Joonas Niilola
2022-06-18  8:47 Joonas Niilola
2022-05-13 20:04 Sam James
2021-11-12 13:52 Joonas Niilola
2021-11-12 13:04 Joonas Niilola
2021-11-12 13:04 Joonas Niilola
2021-11-12 13:04 Joonas Niilola
2021-10-20 20:55 Ionen Wolkens
2021-08-19  3:26 Ionen Wolkens
2021-07-08  7:35 Joonas Niilola
2021-07-08  7:35 Joonas Niilola
2021-05-18 10:40 Joonas Niilola
2021-01-24 13:52 Sam James
2021-01-09  4:21 Sam James
2020-10-07 16:09 Sam James
2020-10-07 16:09 Sam James
2020-09-14 15:58 Sam James
2020-09-13  6:02 Sam James
2020-09-13  5:58 Sam James
2020-09-13  5:58 Sam James
2020-06-07 18:13 Aaron Bauman
2019-09-12  8:52 David Seifert
2019-09-12  8:52 David Seifert
2019-09-12  8:52 David Seifert
2019-08-29  0:34 Aaron Bauman
2019-08-29  0:34 Aaron Bauman
2019-08-12  0:52 Aaron Bauman
2019-08-12  0:52 Aaron Bauman
2019-08-12  0:52 Aaron Bauman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643158658.a2527c38cc49edf1d3846d20ef1ae3ece3b2178d.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox